Package com.io7m.cardant.protocol.inventory.cb.internal

# Class CAUVComparisonsFuzzy<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>

java.lang.Object
com.io7m.cardant.protocol.inventory.cb.internal.CAUVComparisonsFuzzy<V,W>

Type Parameters:
  `V` - The type of model values
  `W` - The type of serialized values

All Implemented Interfaces:
  `CAProtocolMessageValidatorType<CAComparisonFuzzyType<V>,CAI1ComparisonFuzzy<W>>`

public final class CAUVComparisonsFuzzy<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType> extends Object implements CAProtocolMessageValidatorType<CAComparisonFuzzyType<V>,CAI1ComparisonFuzzy<W>>
Fuzzy comparisons.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAUVComparisonsFuzzy(CAProtocolMessageValidatorType<V,W> inValidator)`
  Fuzzy comparisons.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAComparisonFuzzyType<V>`
  `convertFromWire(CAI1ComparisonFuzzy<W> message)`
  Convert a wire message to a core message.
  `CAI1ComparisonFuzzy<W>`
  `convertToWire(CAComparisonFuzzyType<V> message)`
  Convert a core message to a wire message.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CAUVComparisonsFuzzy

    public CAUVComparisonsFuzzy(CAProtocolMessageValidatorType<V,W> inValidator)
    Fuzzy comparisons.
    Parameters:
      `inValidator` - A validator for values

- ## Method Details

  - ### convertToWire

    public CAI1ComparisonFuzzy<W> convertToWire(CAComparisonFuzzyType<V> message) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `CAProtocolMessageValidatorType<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
    Parameters:
      `message` - The core message
    Returns:
      The wire message
    Throws:
      `CAProtocolException` - On errors

  - ### convertFromWire

    public CAComparisonFuzzyType<V> convertFromWire(CAI1ComparisonFuzzy<W> message) throws CAProtocolException
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `CAProtocolMessageValidatorType<V,W extends com.io7m.cedarbridge.runtime.api.CBSerializableType>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message
    Throws:
      `CAProtocolException` - On errors